with GNATCOM.Dispinterface;

package MSHTML.IHTMLDListElement_Interface is

   type IHTMLDListElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLDListElement_Type);

   function Pointer (This : IHTMLDListElement_Type)
     return Pointer_To_IHTMLDListElement;

   procedure Attach (This    : in out IHTMLDListElement_Type;
                     Pointer : in     Pointer_To_IHTMLDListElement);

   procedure Put_compact
     (This : IHTMLDListElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_compact
     (This : IHTMLDListElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

end MSHTML.IHTMLDListElement_Interface;

